## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pname QMPlay2
%global __provides_exclude_from ^%{_libdir}/%{name}/modules/.*$
%undefine _strict_symbol_defs_build

Name:           qmplay2
Version:        25.06.27
Release:        %autorelease
Summary:        A Qt based media player, streamer and downloader
# LGPL-3.0-or-later: QMPlay2
# MIT: src/qmvk, src/modules/AudioFilters/bs2b
# Public-Domain: src/modules/Modplug/libmodplug
License:        LGPL-3.0-or-later AND MIT AND LicenseRef-Fedora-Public-Domain
URL:            https://github.com/zaps166/QMPlay2
Source:         %{url}/releases/download/%{version}/%{pname}-src-%{version}.tar.xz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6LinguistTools)

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libsidplayfp)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-drm)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xv)
BuildRequires:  glslc

Requires:       hicolor-icon-theme
Requires:       kde-filesystem
Requires:       shared-mime-info
Recommends:     yt-dlp

# These have been converted to C++ and otherwise modified, not cleanly unbundleable
Provides:       bundled(libbs2b) = 3.1.0
Provides:       bundled(libmodplug)
# Private library from the same project
Provides:       bundled(qmvk)

Obsoletes:      %{name}-kde-integration < %{version}-%{release}

%description
%{name} is a video player, it can play and stream all formats supported by
ffmpeg and libmodplug (including J2B). It has an integrated Youtube browser.

%package        devel
Summary:        %{pname} development files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
It's a development package for %{name}.


%prep
%autosetup -p1 -n %{pname}-src-%{version}
# unbundle vulkan headers
find src/qmplay2/vulkan/headers -delete
%if 0%{?fedora} >= 41 || 0%{?rhel} >= 11
# fix for vulkan-headers >= 1.3.301
# https://github.com/KhronosGroup/Vulkan-Headers/pull/512
sed -i -r 's/vk::(DispatchLoaderDynamic|DynamicLoader)/vk::detail::\1/g' \
    src/qmvk/*.[ch]pp src/qmplay2/vulkan/VulkanInstance.cpp
%endif
# subproject and bundled license files
cp src/qmvk/LICENSE LICENSE.qmvk
cp src/modules/Modplug/libmodplug/COPYING COPYING.libmodplug


%build
%cmake \
    -G Ninja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DUSE_UPDATES=OFF \
    -DSOLID_ACTIONS_INSTALL_PATH=%{_datadir}/solid/actions

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-qt

# AUTHORS & ChangeLog are required for Help->About window
rm -f %{buildroot}%{_datadir}/qmplay2/{LICENSE,README.md}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{pname}*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{pname}.appdata.xml


%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md
%license LICENSE LICENSE.qmvk COPYING.libmodplug
%{_bindir}/%{pname}
%{_libdir}/%{name}/
%{_libdir}/libqmplay2.so
%{_datadir}/applications/%{pname}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{pname}.*
%{_datadir}/mime/packages/x-*.xml
%{_datadir}/solid/actions/*.desktop
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/AUTHORS
%{_datadir}/%{name}/ChangeLog
%dir %{_datadir}/%{name}/lang/
%{_mandir}/man1/%{pname}.1*
%{_metainfodir}/%{pname}.appdata.xml

%files devel
%{_includedir}/%{pname}/

%changelog
## START: Generated by rpmautospec
* Sat Jun 28 2025 Packit <hello@packit.dev> - 25.06.27-1
- Update to 25.06.27 upstream release
- Resolves: rhbz#2375306

* Thu Jun 12 2025 Packit <hello@packit.dev> - 25.06.11-1
- Update to 25.06.11 upstream release
- Resolves: rhbz#2372393

* Mon Jan 20 2025 Packit <hello@packit.dev> - 25.01.19-1
- Update to 25.01.19 upstream release
- Resolves: rhbz#2338910

* Mon Jan 20 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 24.12.28-5
- Fix build with vulkan-headers 1.3.301

* Mon Jan 20 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 24.12.28-4
- Update kde-filesystem dependency

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 24.12.28-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 09 2025 Michel Lind <salimma@fedoraproject.org> - 24.12.28-2
- Rebuilt for rubberband 4

* Sat Dec 28 2024 Packit <hello@packit.dev> - 24.12.28-1
- Update to 24.12.28 upstream release
- Resolves: rhbz#2334742

* Tue Dec 24 2024 Packit <hello@packit.dev> - 24.12.23-1
- Update to 24.12.23 upstream release
- Resolves: rhbz#2333915

* Sun Dec 08 2024 Packit <hello@packit.dev> - 24.12.06-1
- Update to 24.12.06 upstream release
- Resolves: rhbz#2330931

* Sun Dec 08 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 24.06.16-4
- Remove patches in preparation for version bump

* Mon Sep 23 2024 Fabio Valentini <decathorpe@gmail.com> - 24.06.16-3
- Rebuild for ffmpeg 7

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 24.06.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 19 2024 Packit <hello@packit.dev> - 24.06.16-1
- Update to 24.06.16 upstream release
- Resolves: rhbz#2292837

* Wed Jun 19 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 24.05.23-3
- Add upstream patch for vulkan library loading

* Mon May 27 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 24.05.23-2
- More vulkan-headers fixes for F39

* Sun May 26 2024 Packit <hello@packit.dev> - 24.05.23-1
- Update to 24.05.23 upstream release
- Resolves: rhbz#2283173

* Sun May 26 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 24.04.07-6
- Build with ninja

* Sun May 26 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 24.04.07-5
- https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval

* Sun May 26 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 24.04.07-4
- Onboard packit

* Thu May 09 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 24.04.07-3
- Fix install for F39

* Thu May 09 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 24.04.07-2
- Prepare for Fedora

* Tue Apr 09 2024 Martin Gansser <martinkg@fedoraproject.org> - 24.04.07-1
- Update to 24.04.07

* Tue Mar 19 2024 Martin Gansser <martinkg@fedoraproject.org> - 24.03.16-1
- Update to 24.03.16
- Rebuilt for qt6

* Sun Feb 04 2024 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 23.10.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Martin Gansser <martinkg@fedoraproject.org> - 23.10.22-2
- Replace RR youtube-dl by yt-dlp

* Mon Oct 23 2023 Martin Gansser <martinkg@fedoraproject.org> - 23.10.22-1
- Update to 23.10.22

* Sun Sep 24 2023 Martin Gansser <martinkg@fedoraproject.org> - 23.09.05-1
- Update to 23.09.05

* Fri Sep 01 2023 Martin Gansser <martinkg@fedoraproject.org> - 23.08.22-1
- Update to 23.08.22

* Sun Aug 13 2023 Martin Gansser <martinkg@fedoraproject.org> - 23.08.08-1
- Update to 23.08.08

* Wed Aug 02 2023 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 23.06.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 26 2023 Martin Gansser <martinkg@fedoraproject.org> - 23.06.17-1
- Update to 23.06.17

* Wed Mar 01 2023 Leigh Scott <leigh123linux@gmail.com> - 23.02.05-2
- Rebuild for new ffmpeg

* Sat Feb 25 2023 Martin Gansser <martinkg@fedoraproject.org> - 23.02.05-1
- Update to 23.02.05

* Mon Oct 24 2022 Martin Gansser <martinkg@fedoraproject.org> - 22.10.23-1
- Update to 22.10.23
- Add qmplay2-shared_ptr.patch

* Mon Aug 22 2022 Leigh Scott <leigh123linux@gmail.com> - 22.08.21-1
- Update to 22.08.21
- Remove unused build requires and requires
- Clean up spec file

* Sun Aug 07 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 22.06.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild and ffmpeg
  5.1

* Wed Jun 22 2022 Martin Gansser <martinkg@fedoraproject.org> - 22.06.16-1
- Update to 22.06.16

* Sat Apr 16 2022 Martin Gansser <martinkg@fedoraproject.org> - 22.03.19-1
- Update to 22.03.19

* Wed Feb 09 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 21.12.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 25 2021 Martin Gansser <martinkg@fedoraproject.org> - 21.12.24-1
- Update to 21.12.24

* Fri Nov 12 2021 Leigh Scott <leigh123linux@gmail.com> - 21.06.07-3
- Rebuilt for new ffmpeg snapshot

* Tue Aug 03 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 21.06.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 12 2021 Martin Gansser <martinkg@fedoraproject.org> - 21.06.07-1
- Update to 21.06.07

* Tue Mar 09 2021 Martin Gansser <martinkg@fedoraproject.org> - 21.03.09-1
- Update to 21.03.09
- Add BR pkgconfig(libpipewire-0.3)

* Thu Feb 04 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 20.12.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  1 2021 Leigh Scott <leigh123linux@gmail.com> - 20.12.16-2
- Rebuilt for new ffmpeg snapshot

* Wed Dec 16 2020 Martin Gansser <martinkg@fedoraproject.org> - 20.12.16-1
- Update to 20.12.16
- Add %%{name}-numeric_limit_fix.patch

* Wed Dec 16 2020 Martin Gansser <martinkg@fedoraproject.org> - 20.12.07-1
- Update to 20.12.07

* Tue Aug 18 2020 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 20.07.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 07 2020 Martin Gansser <martinkg@fedoraproject.org> - 20.07.04-1
- Update to 20.07.04

* Sun May 03 2020 Martin Gansser <martinkg@fedoraproject.org> - 20.05.02-1
- Update to 20.05.02
- Add BR pkgconfig(Qt5Svg)

* Fri Apr 10 2020 Leigh Scott <leigh123linux@gmail.com> - 19.12.19-4
- Rebuild for new libcdio version

* Sat Feb 22 2020 RPM Fusion Release Engineering <leigh123linux@googlemail.com> - 19.12.19-3
- Rebuild for ffmpeg-4.3 git

* Wed Feb 05 2020 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 19.12.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 20 2019 Martin Gansser <martinkg@fedoraproject.org> - 19.12.19-1
- Update to 19.12.19

* Thu Dec 05 2019 Martin Gansser <martinkg@fedoraproject.org> - 19.12.04-1
- Update to 19.12.04

* Wed Nov 27 2019 Martin Gansser <martinkg@fedoraproject.org> - 19.11.26-1
- Update to 19.11.26

* Thu Nov 07 2019 Martin Gansser <martinkg@fedoraproject.org> - 19.11.06-1
- Update to 19.11.06

* Wed Sep 04 2019 Martin Gansser <martinkg@fedoraproject.org> - 19.09.03-1
- Update to 19.09.03

* Wed Aug 28 2019 Martin Gansser <martinkg@fedoraproject.org> - 19.08.27-1
- Update to 19.08.27

* Wed Aug 07 2019 Leigh Scott <leigh123linux@gmail.com> - 18.12.26-3
- Rebuild for new ffmpeg version

* Mon Mar 04 2019 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 18.12.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 27 2018 Martin Gansser <martinkg@fedoraproject.org> - 18.12.26-1
- Update to 18.12.26

* Fri Nov 30 2018 Martin Gansser <martinkg@fedoraproject.org> - 18.11.20-1
- Update to 18.11.20

* Sun Aug 19 2018 Leigh Scott <leigh123linux@googlemail.com> - 18.07.03-2
- Rebuilt for Fedora 29 Mass Rebuild binutils issue

* Mon Jul 30 2018 Martin Gansser <martinkg@fedoraproject.org> - 18.07.03-1
- Update to 18.07.03

* Fri Jul 27 2018 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 18.04.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 17 2018 Martin Gansser <martinkg@fedoraproject.org> - 18.04.01-1
- Update to 18.04.01

* Sun Jun 17 2018 Leigh Scott <leigh123linux@googlemail.com> - 18.03.02-2
- Rebuild for new libass version

* Fri Mar 09 2018 Martin Gansser <martinkg@fedoraproject.org> - 18.03.02-1
- Update to 18.03.02

* Thu Mar 08 2018 RPM Fusion Release Engineering <leigh123linux@googlemail.com> - 17.12.31-7
- Rebuilt for new ffmpeg snapshot

* Thu Mar 01 2018 RPM Fusion Release Engineering <leigh123linux@googlemail.com> - 17.12.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Feb 20 2018 Leigh Scott <leigh123linux@googlemail.com> - 17.12.31-5
- Rebuild for new ffmpeg snapshot
- Add build reqiures cmake3 and ninja-build
- Fix scriplets

* Sat Jan 27 2018 Leigh Scott <leigh123linux@googlemail.com> - 17.12.31-4
- Rebuild for new libcdio

* Thu Jan 18 2018 Leigh Scott <leigh123linux@googlemail.com> - 17.12.31-3
- Rebuilt for ffmpeg-3.5 git

* Mon Jan 15 2018 Nicolas Chauvet <kwizart@gmail.com> - 17.12.31-2
- Rebuilt for VA-API 1.0.0

* Sun Dec 31 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.12.31-1
- Update to 17.12.31
- Added BR pkgconfig(Qt5X11Extras)

* Tue Dec 12 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.12.11-1
- Update to 17.12.11

* Wed Oct 25 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.10.24-1
- Update to 17.10.24

* Tue Oct 17 2017 Leigh Scott <leigh123linux@googlemail.com> - 17.10.04-2
- Rebuild for ffmpeg update

* Thu Oct 05 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.10.04-1
- Update to 17.10.04

* Thu Sep 14 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.09.13-1
- Update to 17.09.13

* Thu Aug 31 2017 RPM Fusion Release Engineering <kwizart@rpmfusion.org> - 17.07.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 26 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.07.25-1
- Update to 17.07.25

* Sat Jun 10 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.06.09-1
- Update to 17.06.09

* Mon Apr 03 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.04.02-1
- Update to 17.04.02
- Dropped appdata.xml file

* Sat Mar 18 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.03.17-1
- Update to 17.03.17
- Add appdata.xml file
- Add BR libappstream-glib

* Mon Feb 13 2017 Martin Gansser <martinkg@fedoraproject.org> - 17.02.12-1
- Update to 17.02.12

* Tue Dec 27 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.12.23-1
- Update to 16.12.23

* Mon Nov 21 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.11.20-1
- Update to 16.11.20

* Wed Nov 02 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.11.01-1
- Update to 16.11.01

* Sun Oct 16 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.10.14-1
- Update to 16.10.14

* Sun Sep 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.09.24-1
- Update to 16.09.24

* Thu Sep 22 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.09.21-1
- Update to 16.09.21

* Mon Sep 19 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.09.17-1
- Update to 16.09.17

* Mon Sep 05 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.09.04-1
- Update to 16.09.04

* Sat Sep 03 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.08.19-4
- removed %%_isa requirement from kde-integration subpackage

* Tue Aug 23 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.08.19-3
- Take ownership of directory %%{_datadir}/solid and %%{_datadir}/solid/actions
- Removed call to gzip manpage file and added
  %%{_mandir}/man1/%%{pname}.1 to %%files section
- Removed installation folder for doc files
- Changed if condition for installing system libdir
- Used macro %%autosetup
- Dropped %%{pname}-debug-info.patch
- Used %%{_datadir}/%%{name} for lang files
- Switched build commmand to %%cmake
- spec file cleanup

* Mon Aug 22 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.08.19-2
- Changed qt5-qtbase-devel to pkgconfig(Qt5)
- Removed QT4 BR pkgconfig(QtCore)

* Sat Aug 20 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.08.19-1
- Update to 16.08.19

* Wed Jul 27 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.07.20-1
- Update to 16.07.20

* Thu Jun 09 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.06.01-2
- Added %%check section for desktop file

* Thu Jun 02 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.06.01-1
- Update to 16.06.01

* Tue May 03 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.05.02-1
- Update to 16.05.02

* Sun Apr 24 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.04.23-1
- Update to 16.04.23

* Fri Mar 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.03.24-1
- Update to 16.03.24

* Sat Mar 12 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.03.11-1
- Update to 16.03.11

* Fri Mar 11 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.03.08-2
- Added patch %%{pname}-debug-info.patch

* Wed Mar 09 2016 Martin Gansser <martinkg@fedoraproject.org> - 16.03.08-1
- Initial build

## END: Generated by rpmautospec
